Subject: Re: [PATCH v15 04/13] arch/x86: add syscall_get_arch to syscall.h

From: "H. Peter Anvin" <[email-masked]>
Date: Tue, 10 Apr 2012 20:16:24 -0700

On 04/10/2012 08:13 PM, Will Drewry wrote:
> 
> Now that I've seen is_ia32_task(), it appears to be exactly the same as above:
> (1)  If we're x86_32, it's ia32
> (2)  If we're x86_64, ia32 == !!(status & TS_COMPAT)
> (3)  Otherwise, it's x86_64, including x32
> 
> Am I missing something? Should is_ia32_task(void) take a task_struct?
> Right now, I don't see any reason to change the code, as posted, but
> maybe I am mis-reading?
> 

is_compat_task() is true for x32, is_ia32_task() is false.

	-hpa